
Figure - Bug #115267
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111067 (New): AF-V3.0--Launcher/SystemUI-任务管理器

【AF】【EVT】【任务管理器】同时有小窗卡片和应用进程卡片时，上划进入recent再退出，重复3-4次，小
窗卡片卡住，没有出现在正确的位置
2023-01-12 14:35 - CD TEST-方永红

Status: CLOSED Start date: 2023-01-12

Priority: High Due date: 2023-01-17

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202301110536

Resolution: FIXED Degrated: --

Severity: Normal Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202301300321

Reproducibility: Every time Fixed Version: 2023-01-28

Test Type: ST Root cause: 进入退出调用的时机存在问题

Description

【前提条件】

1、设备已开机

【测试步骤】

1、打开一个应用小窗，和几个应用

2、上滑进入recent

3、点击空白处退出

3、重复步骤2-3

【预期结果】

3、每次都能正常的进入recent，页面显示正常

【实际结果】

3、重复3-4次后，小窗卡片卡住，没有出现在正确的位置

History

#1 - 2023-01-12 15:13 - CD APP-王营

- Due date set to 2023-01-17

#2 - 2023-01-12 19:53 - CD APP-王营

- Assignee changed from CD APP-王营 to CD APP-王宏

#3 - 2023-01-28 18:52 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

177700 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

hong.wang_a@thundersoft.com

FW:Launcher:Fix the bug. The quick switch between the small window and recent shows abnormalTC-RID: 1201-0205302IssueID: TS-R-BUG-115267Change-Id:

I313f5e683949e0d6a387c50a10d606aa8066f9f7
#4 - 2023-01-28 18:56 - CD APP-王宏

- Status changed from New to RESOLVED

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Fixed Version set to 2023-01-28

- Root cause set to 进入退出调用的时机存在问题

■ Current conclusion

已入库

■ My analysis

根据小窗进入recent方法来反向查找触发地，又根据现象来打印日志，确认是在快速切换rencent时存在小窗切换方法未调用的问题

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/177700

#5 - 2023-01-28 18:58 - CD APP-王宏

- Assignee changed from CD APP-王宏 to CD TEST-方永红

#6 - 2023-01-30 18:04 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202301300321

1.30

重复多次，未复现上述情况

#7 - 2023-01-30 18:04 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

AnLink 安联 2023-01-12 14-33-42.mp4 12.6 MB 2023-01-12 CD TEST-方永红
